# Uses of Interface
org.eclipse.ui.console.IConsole

Packages that use IConsole
Package
Description
org.eclipse.debug.ui
Provides a generic debugger user interface that clients may customize via standard workbench extension points.
org.eclipse.ui.console
Application programming interfaces for interaction with the Eclipse console.
org.eclipse.ui.console.actions
Application programming interfaces for Eclipse console specific actions.

## Uses of IConsole in org.eclipse.debug.ui

Methods in org.eclipse.debug.ui that return IConsole
Modifier and Type
Method
Description
`static IConsole`
DebugUITools.`getConsole(IDebugElement element)`
Returns the console associated with the given debug element, or `null` if none.
`static IConsole`
DebugUITools.`getConsole(IProcess process)`
Returns the console associated with the given process, or `null` if none.

## Uses of IConsole in org.eclipse.ui.console

Classes in org.eclipse.ui.console that implement IConsole
Modifier and Type
Class
Description
`class`
`AbstractConsole`
Common function for consoles.
`class`
`IOConsole`
A console that displays text from I/O streams.
`class`
`MessageConsole`
A console that displays messages.
`class`
`TextConsole`
An abstract text console that supports regular expression matching and hyperlinks.
Methods in org.eclipse.ui.console that return IConsole
Modifier and Type
Method
Description
`IConsole`
IConsoleView.`getConsole()`
Returns the console currently being displayed, or `null` if none
`protected IConsole`
TextConsolePage.`getConsole()`
Returns the console this page is displaying.
`IConsole[]`
IConsoleManager.`getConsoles()`
Returns a collection of consoles registered with the console manager.
Methods in org.eclipse.ui.console with parameters of type IConsole
Modifier and Type
Method
Description
`void`
IConsoleManager.`addConsoles(IConsole[] consoles)`
Adds the given consoles to the console manager.
`void`
IConsoleListener.`consolesAdded(IConsole[] consoles)`
Notification the given consoles have been added to the console manager.
`void`
IConsoleListener.`consolesRemoved(IConsole[] consoles)`
Notification the given consoles have been removed from the console manager.
`IPatternMatchListener[]`
IConsoleManager.`createPatternMatchListeners(IConsole console)`
Creates and returns a collection of new pattern match listeners enabled for the given console.
`void`
IConsoleView.`display(IConsole console)`
Displays the page for the given console in this console view.
`void`
IConsolePageParticipant.`init(IPageBookViewPage page, IConsole console)`
Called during page initialization.
`void`
IConsoleView.`pin(IConsole console)`
Deprecated.
rather than pinning a specific console, a console view is pinned - use `setPinned(boolean)`
`void`
IConsoleManager.`refresh(IConsole console)`
Requests a redraw of any visible console page containing the specified console.
`void`
IConsoleManager.`removeConsoles(IConsole[] consoles)`
Removes the given consoles from the console manager.
`void`
IConsoleManager.`showConsoleView(IConsole console)`
Opens the console view and displays given the console.
`void`
IConsoleManager.`warnOfContentChange(IConsole console)`
Warns that the content of the given console has changed in all console views.
`void`
IConsoleView.`warnOfContentChange(IConsole console)`
Warns that the content of the given console has changed.

## Uses of IConsole in org.eclipse.ui.console.actions

Constructors in org.eclipse.ui.console.actions with parameters of type IConsole
Modifier
Constructor
Description
``
`CloseConsoleAction(IConsole console)`